LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetCellRange Interface Referencepublished

provides access to the spreadsheet that contains a cell range. More...

`import"XSheetCellRange.idl";`

Inheritance diagram for XSheetCellRange:

## Public Member Functions
com::sun::star::sheet::XSpreadsheet | getSpreadsheet ()
| returns the spreadsheet interface which contains the cell range. More...
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range. More...
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range. More...
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the spreadsheet that contains a cell range.

See also
  com::sun::star::sheet::SheetCellRange

Developers Guide
  Spreadsheet Documents - Cell and Cell Range Access

## Member Function Documentation

## ◆ getSpreadsheet()

com::sun::star::sheet::XSpreadsheet getSpreadsheet | ( |  | ) |

returns the spreadsheet interface which contains the cell range.

Returns
  a Spreadsheet object.

See also
  com::sun::star::sheet::SheetCellRange
  com::sun::star::sheet::SheetCellRanges

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCellRange.idl